Skip To Content

Требования

Для работы с Collector for ArcGIS ваше устройство, учетная запись ArcGIS и данные должны удовлетворять приведенным ниже требованиям. Можно использовать приложение на любом из поддерживаемых языков.

Требования к устройству

Collector доступен в Android и iOS.

Примечание:

Ищете информацию о Collector для Windows? См. Требования для Collector Classic.

Android

  • Android 5.0 (Lollipop) или более поздние версии
  • Процессор: ARMv7 или более поздние версии
  • Поддержка OpenGL ES 2.0

iOS

  • iOS 11 или более новой версии
  • iPhone, iPad, iPod touch

Требования к учетной записи ArcGIS

Для использования карт в Collector требуется учетная запись организации ArcGIS (ArcGIS Online или ArcGIS Enterprise).

  • Если полевые работники используют ArcGIS Online или ArcGIS Enterprise версии 10.7 или выше, то у них должна быть лицензия для Collector for ArcGIS. Это включено для пользовательских типов Field Worker, Creator и GIS Professional. Это доступно для Editors с дополнительной лицензией.

    Collector не поддерживает использование персональных учетных записей ArcGIS Online.

  • Если используется ArcGIS Enterprise версии ниже 10.7, то мобильные сотрудники должны иметь 2-й уровень участия.
  • Необходимы права доступа для редактирования объектов (либо путем Объекты > Редактировать, либо Объекты > Редактировать с полным контролем).

Подробнее см. Типы, роли и права доступа пользователей для ArcGIS Online или Типы, роли и права доступа пользователей для ArcGIS Enterprise.

Прежние версии:

Также поддерживаются версии Portal for ArcGIS 10.3.1 и 10.4.1. Поскольку в этих версиях типы и уровни пользователей не предусмотрены, поддерживаются все пользователи. Пользователям не нужны права доступа для редактирования объектов.

Требования к данным

Карты, которые используются в Collector, доступны в ArcGIS Online или ArcGIS Enterprise. Чтобы карта появилась в Collector, она должна содержать хотя бы один слой, доступный для редактирования, и базовую карту. При необходимости, можно добавить дополнительные слои, доступные для редактирования, а также дополнительный контекст в виде не редактируемых базовых данных.

Примечание:

Помимо требований к данным, карта появится в Collector, если вы ее создадите, или если вы являетесь участником группы, в которой эта карта опубликована в ArcGIS Online или ArcGIS Enterprise. Эта карта должна быть допущена к использованию в Collector.

Если карта будет использоваться автономно (например, в районах с низким, ненадежным уровнем доступа к данным через интернет или вообще без него), все ее слои должны быть включены (разрешены) для автономного использования. См. требования к данным в автономном режиме.

Данные, доступные для редактирования

Карты в Collector управляются редактируемыми данными. Без поддерживаемых и доступных для редактирования данных карта не появится в Collector. Поддерживаются следующие источники редактируемых данных:

  • Слои объектов, размещенные на ArcGIS Online
  • Векторные слои, размещенные на ArcGIS Enterprise 10.5 или более поздней версии или Portal for ArcGIS 10.4.1 или более старой версии

    Для загрузки объектов без вложений требуется ArcGIS Enterprise.

  • Связанные записи

    В Collector поддерживаются следующие отношения: Объект-в-таблицу, Объект-в-объект и Таблица-в-таблицу (когда доступ к первой таблице осуществляется через объект). Для каждого поддерживаются отношения один-к-одному и один-ко-многим. Отношения могут быть до трех уровней в глубину. При определении отношений рекомендуется использовать идентификаторы GlobalID. Поддерживаемые пользователем отношения не рекомендуются.

    Для размещенных векторных слоев и ArcGIS Server 10.3 или более поздних сервисов объектов поддерживаются связанные записи.

  • Сервисы объектов ArcGIS Server

    При работе с картой в режиме онлайн доступна поддержка баз данных (включая многопользовательские базы геоданных). Для работы в автономном режиме необходима многопользовательская база геоданных. Файловые базы геоданных не поддерживаются. Конкретные версии ArcGIS Server и необходимые базы геоданных могут варьироваться в зависимости от требуемых вами функций. Более подробную информацию смотрите в следующей таблице.

    Необходимые функцииПоддерживаемые версии баз геоданныхПоддерживаемые версии ArcGIS Server
    Работа в режиме онлайн и использование офлайн-картРабота с картой в режиме онлайнИспользование офлайн-карт

    Данные, доступные для редактирования – архивные, неверсионные

    Все¹

    Все

    10.2.2 или более поздняя

    Данные, доступные для редактирования – версионные

    Все¹

    Все

    10.3 или более поздняя. С версией 10.3.1 рекомендуется использовать ArcGIS 10.3.1 Feature Service Sync Performance patch.

    Опции синхронизации

    Все

    N/A

    • Двунаправленная поддержка объектов и вложений – 10.2.2 или более новая
    • Загрузка объектов без вложений – 10.5 или выше
    • Загрузка только схемы (без каких-либо объектов) – 10.2.2 или выше

    Связанные таблицы

    Все

    10.3 или более поздняя

    10.3 или более поздняя. С версией 10.3.1 рекомендуется использовать ArcGIS 10.3.1 Feature Service Sync Performance patch.

    Геометрические сети²

    Все

    10.3.1 или более поздняя

    10.3.1 или более поздняя

    Для автономного использования необходимы ¹Global ID.

    ²Им требуются версионные данные для редактирования. При использовании в Collector все сервисы объектов, участвующие в геометрической сети, считаются простыми сервисами объектов, и ограничения этой геометрической сети игнорируются.

Внимание:

Слои в ArcGIS Online, ArcGIS Enterprise, и Portal for ArcGIS должны быть размещенными, а не составе карты. Если добавить в карту слой из файла (например, шейп-файла или из файла CSV), этот слой будет сохранен в карте. Вместо этого опубликуйте его в качестве размещенного векторного слоя, если вы хотите, чтобы он был редактируемым в Collector. См. Добавление слоев из файлов в ArcGIS Online и Публикация размещенных векторных слоев в ArcGIS Online, или Добавление слоев из файлов в ArcGIS Enterprise и Публикация размещенных векторных слоев в ArcGIS Enterprise.

Ограничения

В отношении доступных для редактирования данных, которые содержит карта, существует ряд ограничений:

  • Если векторный слой содержит z-значения, это должно быть z-значение по умолчанию.
  • Если векторный слой учитывает значение m, вы можете собирать или обновлять геометрии объектов, но значения m новых геометрий будет null.

Базовая карта и другие базовые данные

Данные, не доступные для редактирования, обеспечивающие контекст мобильным работникам. Необходимо базовая карта. Дополнительно вы можете включить другие данные, недоступные для редактирования. Для базовых данных доступна поддержка следующих источников данных:

  • Векторные слои, размещенные на ArcGIS Online, ArcGIS Enterprise 10.5 или более поздней версии или Portal for ArcGIS 10.4.1 или более старой версии
  • Размещенные слои листов на ArcGIS Online, ArcGIS Enterprise 10.5 или выше, Portal for ArcGIS 10.4.1 или ниже
  • Файлы, импортируемые в ArcGIS Online, ArcGIS Enterprise 10.5 или более поздней версии либо Portal for ArcGIS 10.4.1 или более ранней версии (в том числе GPX, CSV и шейп-файлы)¹
    Подсказка:

    Чтобы работать с этими данными в автономном режиме, опубликуйте их как размещенный векторный слой вместо того, чтобы добавить его прямо на карту. См. Публикация размещенных векторных слоев в ArcGIS Online или Публикация размещенных векторных слоев в ArcGIS Enterprise.

  • Картографические сервисы ArcGIS Server (тайловые картографические сервисы в ArcGIS Server 10.2.2 и позднее для автономной работы)
  • Сервисы объектов ArcGIS Server (10.2.2 и позднее для автономной работы)
    Примечание:

    Поддерживаются базы данных для работы с картой в автономном режиме. Файловые базы геоданных не поддерживаются.

  • Сервисы изображений ArcGIS Server
  • Слои листов, доступные напрямую, а не через сервис¹
  • Данные WMS¹
  • Данные KML¹

¹Поддерживаются для использования в режиме онлайн.

Поддерживаемые языки

Арабский, боснийский¹, каталанский, китайский - упрощенный и традиционный (Гонконг и Тайвань), хорватский, чешский, датский, голландский, английский, эстонский¹, финский, французский, немецкий, греческий, иврит, венгерский, индонезийский, итальянский, японский, корейский, латышский¹, литовский¹, норвежский, польский, португальский (Бразилия и Португалия), румынский, русский, сербский¹, словенский¹, испанский, шведский, тайский, турецкий, украинский и

Язык приложения определяется настройками языка вашего устройства.

¹Только Android